package com.gxlu.ps.netcruise.md.cmdchannel;

import com.gxlu.ps.netcruise.md.GlobalInstance;
import com.gxlu.ps.netcruise.md.ShutdownDaemon;
import java.io.IOException;
import java.io.LineNumberReader;
import java.io.PrintWriter;

/* loaded from: com_gxlu_ps_netcruise_md_cmdchannel.jar:com/gxlu/ps/netcruise/md/cmdchannel/CmdDealer.class */
public class CmdDealer {
    /* JADX INFO: Access modifiers changed from: protected */
    public boolean dealCmd(String cmd, LineNumberReader cmdSource, PrintWriter reporter) {
        String[] cells = cmd.split(" ");
        if (cells[0].equals("test")) {
            dealTest(cells, cmdSource, reporter);
            return true;
        }
        if (cells[0].equals("shutdown")) {
            dealShutdown(cells, cmdSource, reporter);
            return true;
        }
        if (cells[0].equals("status")) {
            dealStatus(cells, cmdSource, reporter);
            return true;
        }
        if (cells[0].equals("logout")) {
            return false;
        }
        dealErrCmd(cells, cmdSource, reporter);
        return true;
    }

    protected void dealTest(String[] args, LineNumberReader cmdSource, PrintWriter reporter) {
        reporter.println("MD is working.");
        reporter.flush();
    }

    protected void dealReboot(String[] args, LineNumberReader cmdSource, PrintWriter reporter) {
        reporter.println("MD is restarting...");
        reporter.flush();
        ShutdownDaemon sdd = new ShutdownDaemon();
        sdd.shutdownSys();
        GlobalInstance.getInstance().getMDCtrl().initCore();
        reporter.println("MD restarted.");
        reporter.flush();
    }

    protected void dealStatus(String[] args, LineNumberReader cmdSource, PrintWriter reporter) {
        String mode = GlobalInstance.getInstance().getConfiger().checkRunMode();
        reporter.println("Status:");
        reporter.println("running mode: ".concat(String.valueOf(String.valueOf(mode))));
        reporter.println("file has alarms: ".concat(String.valueOf(String.valueOf(GlobalInstance.getInstance().getAlarmPool().fileHasAlm()))));
        reporter.println("alarm count in pool: ".concat(String.valueOf(String.valueOf(GlobalInstance.getInstance().getAlarmPool().size()))));
        reporter.println("alarm count in cache: ".concat(String.valueOf(String.valueOf(GlobalInstance.getInstance().getAlarmSender().cacheSize()))));
        reporter.flush();
    }

    protected void dealShutdown(String[] args, LineNumberReader cmdSource, PrintWriter reporter) {
        if (1 == args.length) {
            System.exit(0);
        }
        reporter.println("Arguments error.");
        reporter.flush();
    }

    protected void dealErrCmd(String[] args, LineNumberReader cmdSource, PrintWriter reporter) {
        reporter.println("Error Command for MD!");
        reporter.flush();
    }

    protected void dealEditPwdCmd(String[] args, LineNumberReader cmdSource, PrintWriter reporter) {
        String oldPwd = "";
        reporter.println("Please input old password:");
        reporter.flush();
        try {
            oldPwd = cmdSource.readLine();
        } catch (IOException e) {
        }
        if (oldPwd == null) {
            oldPwd = "";
        }
        if (!GlobalInstance.getInstance().getPwdMgr().checkPwd(oldPwd)) {
            reporter.println("Password error.");
            reporter.flush();
            return;
        }
        try {
            reporter.println("Input new password:");
            reporter.flush();
            String newPwd = cmdSource.readLine();
            reporter.println("Input new password again:");
            reporter.flush();
            String newPwd2 = cmdSource.readLine();
            if (!newPwd.equals(newPwd2)) {
                reporter.println("Passwords doesn't match! Change password failed.");
                reporter.flush();
                return;
            }
            if (GlobalInstance.getInstance().getPwdMgr().updatePwd(newPwd)) {
                reporter.println("Passwords changed successfully.");
                reporter.flush();
            } else {
                reporter.println("Passwords changed failed. There's something wrong with the password file.");
                reporter.flush();
            }
        } catch (IOException e2) {
        }
    }
}
